## GladeDesignView

GladeDesignView — A widget to embed the workspace.

## Functions

GtkWidget * | glade_design_view_new ()
GladeProject * | glade_design_view_get_project ()
GladeDesignView * | glade_design_view_get_from_project ()

## Properties

GladeProject * | project | Read / Write / Construct Only

## Types and Values

| GladeDesignView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GladeDesignView

## Implemented Interfaces

GladeDesignView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

Use this widget to embed toplevel widgets in a given GladeProject.

## Functions

### glade_design_view_new ()

    GtkWidget *
    glade_design_view_new (GladeProject *project);

#### Parameters

project | A GladeProject |

#### Returns

a new GladeDesignView.

[transfer full]

### glade_design_view_get_project ()

    GladeProject *
    glade_design_view_get_project (GladeDesignView *view);

#### Parameters

view | A GladeDesignView |

#### Returns

a GladeProject.

[transfer none]

### glade_design_view_get_from_project ()

    GladeDesignView *
    glade_design_view_get_from_project (GladeProject *project);

#### Parameters

project | A GladeProject |

#### Returns

a GladeDesignView.

[transfer none][nullable]

## Types and Values

### GladeDesignView

    typedef struct _GladeDesignView GladeDesignView;

## Property Details

### The `“project”` property

      “project”                  GladeProject *

The project for this view.

Owner: GladeDesignView

Flags: Read / Write / Construct Only